Unable to use bluetooth headphones with Linux Mint

Questions about codecs, DVD playback, web plugins...
Forum rules
Before you post please read how to get help
Post Reply
mu57i
Level 1
Level 1
Posts: 14
Joined: Sun Oct 21, 2018 7:12 pm

Unable to use bluetooth headphones with Linux Mint

Post by mu57i » Fri Oct 26, 2018 5:30 pm

I have Skullcandy Crusher wireless bluetooth headphones. They work fine with bluetooth on my laptop when I'm using Windows 10, but I can't get them to work with Linux Mint. Can somebody help me please?

mu57i
Level 1
Level 1
Posts: 14
Joined: Sun Oct 21, 2018 7:12 pm

Re: Unable to use bluetooth headphones with Linux Mint

Post by mu57i » Wed Oct 31, 2018 10:28 am

Guys,

Can somebody please help me on this?

nakednorman
Level 1
Level 1
Posts: 32
Joined: Mon Jan 02, 2017 9:05 am

Re: Unable to use bluetooth headphones with Linux Mint

Post by nakednorman » Wed Oct 31, 2018 5:52 pm

I'm using a Jabra Evolve 65 headset with bluetooth on Mint 19.0 with no trouble - just plug & play.
Not much help, but shows there is no major problem with bluetooth on Mint.
NN

User avatar
AndyMH
Level 5
Level 5
Posts: 865
Joined: Fri Mar 04, 2016 5:23 pm
Location: Wiltshire

Re: Unable to use bluetooth headphones with Linux Mint

Post by AndyMH » Wed Oct 31, 2018 6:12 pm

Install blueman from software manager and see if you can connect to your headphones using it. The standard blueberry application isn't very good.
Homebrew i5-8400+GTX1080 Cinnamon 19, Thinkpad T430 i7-3632 Cinnamon 19, Thinkpad T420 Cinnamon 18.3, Thinkpad T410 Cinnamon 17.3, Thinkpad T60 19.0 Mate

mu57i
Level 1
Level 1
Posts: 14
Joined: Sun Oct 21, 2018 7:12 pm

Re: Unable to use bluetooth headphones with Linux Mint

Post by mu57i » Fri Nov 02, 2018 4:06 pm

AndyMH wrote:
Wed Oct 31, 2018 6:12 pm
Install blueman from software manager and see if you can connect to your headphones using it. The standard blueberry application isn't very good.
Blueman hasn't worked for me. There's gotta be a way to make this work, but how?

User avatar
MrEen
Level 8
Level 8
Posts: 2012
Joined: Mon Jun 12, 2017 8:39 pm

Re: Unable to use bluetooth headphones with Linux Mint

Post by MrEen » Fri Nov 02, 2018 4:33 pm

See if this post helps any: viewtopic.php?f=48&t=266055#p1447054

JeremyB
Level 19
Level 19
Posts: 9462
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to use bluetooth headphones with Linux Mint

Post by JeremyB » Fri Nov 02, 2018 4:46 pm

Since you have a broadcom wifi card, your bluetooth is likely broadcom also and missing firmware, post results for

Code: Select all

lsusb; dmesg | egrep -i 'blue|firm'

mu57i
Level 1
Level 1
Posts: 14
Joined: Sun Oct 21, 2018 7:12 pm

Re: Unable to use bluetooth headphones with Linux Mint

Post by mu57i » Fri Nov 02, 2018 4:56 pm

mu57i@mu57i-ideapad-305-15IBY:~$ lsusb; dmesg | egrep -i 'blue|firm'
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 105b:e065 Foxconn International, Inc. BCM43142A0 Bluetooth module
Bus 001 Device 004: ID 5986:0652 Acer, Inc
Bus 001 Device 003: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 001 Device 002: ID 145f:01de Trust
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[ 0.068239] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[ 0.263626] acpi PNP0A08:00: [Firmware Info]: MMCONFIG for domain 0000 [bus 00-3f] only partially covers this bridge
[ 1.878337] [Firmware Bug]: No valid trip found
[ 2.811342] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x594f03)
[ 21.840350] Bluetooth: Core ver 2.22
[ 21.840379] Bluetooth: HCI device and connection manager initialized
[ 21.840385] Bluetooth: HCI socket layer initialized
[ 21.840388] Bluetooth: L2CAP socket layer initialized
[ 21.840397] Bluetooth: SCO socket layer initialized
[ 21.899079] Bluetooth: HCI UART driver ver 2.3
[ 21.899083] Bluetooth: HCI UART protocol H4 registered
[ 21.899084] Bluetooth: HCI UART protocol BCSP registered
[ 21.899134] Bluetooth: HCI UART protocol LL registered
[ 21.899136] Bluetooth: HCI UART protocol ATH3K registered
[ 21.899137] Bluetooth: HCI UART protocol Three-wire (H5) registered
[ 21.899181] Bluetooth: HCI UART protocol Intel registered
[ 21.899223] Bluetooth: HCI UART protocol Broadcom registered
[ 21.899225] Bluetooth: HCI UART protocol QCA registered
[ 21.899226] Bluetooth: HCI UART protocol AG6XX registered
[ 21.899227] Bluetooth: HCI UART protocol Marvell registered
[ 22.570565] Bluetooth: hci0: BCM: chip id 70
[ 22.571563] Bluetooth: hci0: BCM: features 0x06
[ 22.587578] Bluetooth: hci0: DESKTOP-6CN249T
[ 22.587585] Bluetooth: hci0: BCM (001.001.011) build 0312
[ 22.601199] bluetooth hci0: Direct firmware load for brcm/BCM.hcd failed with error -2
[ 22.601203] Bluetooth: hci0: BCM: Patch brcm/BCM.hcd not found
[ 25.767842] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 25.767845] Bluetooth: BNEP filters: protocol multicast
[ 25.767851] Bluetooth: BNEP socket layer initialized
[ 45.401434] Bluetooth: RFCOMM TTY layer initialized
[ 45.401445] Bluetooth: RFCOMM socket layer initialized
[ 45.401455] Bluetooth: RFCOMM ver 1.11
[ 72.178484] Bluetooth: hci0: last event is not cmd complete (0x0f)

JeremyB
Level 19
Level 19
Posts: 9462
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to use bluetooth headphones with Linux Mint

Post by JeremyB » Fri Nov 02, 2018 5:03 pm

Try

Code: Select all

wget https://github.com/winterheart/broadcom-bt-firmware/raw/master/brcm/BCM43142A0-105b-e065.hcd
sudo cp BCM43142A0-105b-e065.hcd /lib/firmware/brcm/BCM.hcd
Shutdown the computer and then boot

mu57i
Level 1
Level 1
Posts: 14
Joined: Sun Oct 21, 2018 7:12 pm

Re: Unable to use bluetooth headphones with Linux Mint

Post by mu57i » Fri Nov 02, 2018 5:14 pm

I did what has been asked,

The headphones are now connecting but the sound is crackling and disconnecting. The headphones work perfectly on the same laptop when using Windows 10.

JeremyB
Level 19
Level 19
Posts: 9462
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to use bluetooth headphones with Linux Mint

Post by JeremyB » Fri Nov 02, 2018 5:29 pm

Do they work good when you are disconnected from wifi?

mu57i
Level 1
Level 1
Posts: 14
Joined: Sun Oct 21, 2018 7:12 pm

Re: Unable to use bluetooth headphones with Linux Mint

Post by mu57i » Fri Nov 02, 2018 5:39 pm

Oh sorry, I misunderstood.

I haven't tested that in Linux Mint, as of now I am booted into Windows 10. When I get the chance to test it, I'll post an update.

JeremyB
Level 19
Level 19
Posts: 9462
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to use bluetooth headphones with Linux Mint

Post by JeremyB » Fri Nov 02, 2018 6:00 pm

Are the headphones using A2DP in sound settings or HSP/HFP?

Post Reply

Return to “Sound, Multimedia, & Codecs”